#include <avr/io.h>
#define F_CPU 16000000
#include <util/delay.h>
#include "usart.h"
#define BAUD 115200
#define MYUBRR F_CPU/16/BAUD-1

 void init_LED(){
 
	/* setez pinul PD7 ca iesire */
	DDRD |= (1 << PD7);
	/* opresc LED-ul pe de pinul PD7 */
	PORTD &= ~(1 << PD7);
 }
 
void init_ACC() {
	
	/* setare SelfTest */
	DDRC |= (1 << PC1);
	PORTC &= ~(1 << PC1);
	
	/* alegere gSelect */
	DDRC |= (1 << PC2);
	PORTC |= (1 << PC2);
	
	/* setare gDetect */
	DDRC &= ~(1 << PC3);
	PORTC |= (1 << PC3);
	
	/* setare X, Y, Z */
	DDRA &= ~(1 << PA0);
	PORTA |= (1 << PA0);
	DDRA &= ~(1 << PA1);
	PORTA |= (1 << PA1);
	DDRA &= ~(1 << PA2);
	PORTA |= (1 << PA2);
	
	/* setare SLEEP */
	DDRC |= (1 << PC4);
	PORTC |= (1 << PC4);
	
	ADMUX = (1 << REFS0);
	ADCSRA = (1<<ADEN) | (1<<ADPS2) | (1<<ADPS1) | (1<<ADPS0);
}

void ttr() {
	
	while(1){
		
		ADMUX = (ADMUX & ~(0x1f << MUX0)) | 1;

		ADCSRA |= (1 << ADSC);
		while(ADCSRA & (1 << ADSC));
		
		if(ADC < 740){
			
			PORTD ^= (1 << PD7);
			draw_Box(0x0A, 0x30, 0x0A, 0x1E);
			_delay_ms(1000);
		}
		if(ADC > 770){
		
			PORTD ^= (1 << PD7);
			_delay_ms(50);
		}
	
	}
}

int main(void) {

	init_LED();
	//init_lcd();
	init_ACC();
	
	//USART0_init(MYUBRR);
	//clear_LCD();
	
	ttr();
	
	return 0;
}

