#ifndef LCD_H_
#define LCD_H_

#include <avr/io.h>
#include <stdio.h>
#include <util/delay.h>

int random_ShapeGen();

void draw_Obj(int type);

void clear_LCD();

void set_Baud(char x);

void set_Pixel(char x, char y);

void reset_Pixel(char x, char y);

void draw_Line(char x1, char x2, char y1, char y2);

void erase_Line(char x1, char x2, char y1, char y2);

void draw_Box(char x1, char x2, char y1, char y2);

void erase_Box(char x1, char x2, char y1, char y2);

void erase_Block(char x1, char y1, char x2, char y2);

#endif